package com.madeu.service.web.webhospital;

import java.util.HashMap;

public interface WebHospitalService {

	public HashMap<String, Object> selectHospitalIntro(HashMap<String, Object> paramMap) throws Exception;

	public HashMap<String, Object> selectHospital(HashMap<String, Object> paramMap) throws Exception;

	public HashMap<String, Object> selectWorkTime(HashMap<String, Object> paramMap) throws Exception;

	public HashMap<String, Object> updateHospital(HashMap<String, Object> paramMap) throws Exception;

	public HashMap<String, Object> selectHospitalHolidayList(HashMap<String, Object> paramMap) throws Exception;

	public HashMap<String, Object> selectHospitalScheduleDetail(HashMap<String, Object> paramMap) throws Exception;

	public HashMap<String, Object> saveHospitalSchedule(HashMap<String, Object> paramMap) throws Exception;

	public HashMap<String, Object> deleteHospitalSchedule(HashMap<String, Object> paramMap) throws Exception;

	public HashMap<String, Object> saveHospitalHoliday(HashMap<String, Object> paramMap) throws Exception;

	public HashMap<String, Object> deleteHospitalHolidays(HashMap<String, Object> paramMap) throws Exception;
}
